Package com.fasterxml.jackson.dataformat.xml

## Class XmlMapper.Builder

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.MapperBuilder<XmlMapper,​XmlMapper.Builder>
  - - com.fasterxml.jackson.dataformat.xml.XmlMapper.Builder

Enclosing class:
  XmlMapper

    public static class XmlMapper.Builder
    extends com.fasterxml.jackson.databind.cfg.MapperBuilder<XmlMapper,​XmlMapper.Builder>

Builder implementation for constructing `XmlMapper` instances.

Since:
  2.10

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

`_mapper`

### Constructor Summary

Constructors
`Builder​(XmlMapper m)`

### Method Summary

All Methods Instance Methods Concrete Methods
`XmlMapper.Builder` `configure​(FromXmlParser.Feature feature, boolean state)`
`XmlMapper.Builder` `configure​(ToXmlGenerator.Feature feature, boolean state)`
`XmlMapper.Builder` `defaultUseWrapper​(boolean state)`
`XmlMapper.Builder` `disable​(FromXmlParser.Feature... features)`
`XmlMapper.Builder` `disable​(ToXmlGenerator.Feature... features)`
`XmlMapper.Builder` `enable​(FromXmlParser.Feature... features)`
`XmlMapper.Builder` `enable​(ToXmlGenerator.Feature... features)`
`XmlMapper.Builder` `nameForTextElement​(java.lang.String name)`

### Methods inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

`_this, activateDefaultTyping, activateDefaultTyping, activateDefaultTyping, activateDefaultTypingAsProperty, addHandler, addMixIn, addModule, addModules, addModules, annotationIntrospector, build, clearProblemHandlers, configure, configure, configure, configure, configure, configure, configure, deactivateDefaultTyping, defaultBase64Variant, defaultDateFormat, defaultLeniency, defaultLocale, defaultMergeable, defaultPrettyPrinter, defaultPropertyInclusion, defaultSetterInfo, defaultTimeZone, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, filterProvider, findAndAddModules, findModules, findModules, handlerInstantiator, injectableValues, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, nodeFactory, polymorphicTypeValidator, propertyNamingStrategy, registerSubtypes, registerSubtypes, registerSubtypes, serializationInclusion, serializerFactory, streamFactory, subtypeResolver, typeFactory, visibility, visibility`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder​(XmlMapper m)

### Method Detail

#### enable

    public XmlMapper.Builder enable​(FromXmlParser.Feature... features)

#### disable

    public XmlMapper.Builder disable​(FromXmlParser.Feature... features)

#### configure

    public XmlMapper.Builder configure​(FromXmlParser.Feature feature,
                                       boolean state)

#### enable

    public XmlMapper.Builder enable​(ToXmlGenerator.Feature... features)

#### disable

    public XmlMapper.Builder disable​(ToXmlGenerator.Feature... features)

#### configure

    public XmlMapper.Builder configure​(ToXmlGenerator.Feature feature,
                                       boolean state)

#### nameForTextElement

    public XmlMapper.Builder nameForTextElement​(java.lang.String name)

#### defaultUseWrapper

    public XmlMapper.Builder defaultUseWrapper​(boolean state)